LAMPP can't use ICEphp ,why?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

LAMPP can't use ICEphp ,why?

Postby lichnow » 05. June 2012 04:13

Hi,My os is fedora linux,I has installed lampp,and it is very good,but when I install Ice libraries,and add it in php.ini,then restart lampp,it give me a error,like this "Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/' - /opt/lampp/lib/ version `GCC_4.2.0' not found (required by /usr/lib/ in Unknown on line 0",how can I do for it,so let me can use Icephp,thank you!please help me!
Posts: 1
Joined: 05. June 2012 04:09
XAMPP Version: 5.6.14
Operating System: Fedora

Re: LAMPP can't use ICEphp ,why?

Postby JonB » 05. June 2012 05:56
Note that the references they made to XAMPP, are about XAMPP for Windows.

Succinctly put - I think you will need to compile from source, and that is probably not 'do-able' on LAMPP without a lot of knowledge/fixes.

The reason - XAMPP/LAMPP is NOT a stack, so none of the 'parts' are in the right places, nor is Linux aware that they are on the machine.
When you go to compile, I'm very unsure what will happen (probably endless errors). ... S_machines

ICE really has nothing to do with XAMMP, you need to seek advice from the developers. It may be much simpler than I think, but the fact you apparently need a build for Fedora indicates to me you should build a stack with yum, so all the parts (including the GCC compiler) go in the right places.

Good Luck
User avatar
AF Moderator
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-3
Operating System: Windows XP/7 - Fedora 15 1.7.7

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 7 guests